Skip to main content
`Ctrl`+`K`

# TSForcingFn

A prototype of a `TS` forcing function evaluation function that would be passed to `TSSetForcingFunction()`

## Synopsis

    #include <petscts.h>
    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode TSForcingFn(TS ts, PetscReal t, Vec f, void *ctx);

## Calling Sequence

- ts - timestep context

- t - current time

- f - output vector

- ctx - [optional] user-defined function context

## Note

The deprecated `TSForcingFunction` still works as a replacement for `TSForcingFn` *.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetForcingFunction()`, `DMTSSetForcingFunction()`

## Level

advanced

## Location

include/petscts.h

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages